## org.apache.poi.poifs.crypt
Class EncryptionInfo

    java.lang.Object
      org.apache.poi.poifs.crypt.EncryptionInfo

    public class EncryptionInfo

extends java.lang.Object

Author:
  Maxim Valyanskiy, Gary King

Constructor Summary
`EncryptionInfo(DirectoryNode dir)`
`EncryptionInfo(NPOIFSFileSystem fs)`
`EncryptionInfo(POIFSFileSystem fs)`

Method Summary
`int` `getEncryptionFlags()`
`EncryptionHeader` `getHeader()`
`EncryptionVerifier` `getVerifier()`
`int` `getVersionMajor()`
`int` `getVersionMinor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionInfo

    public EncryptionInfo(POIFSFileSystem fs)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### EncryptionInfo

    public EncryptionInfo(NPOIFSFileSystem fs)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### EncryptionInfo

    public EncryptionInfo(DirectoryNode dir)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getVersionMajor

    public int getVersionMajor()

### getVersionMinor

    public int getVersionMinor()

### getEncryptionFlags

    public int getEncryptionFlags()

### getHeader

    public EncryptionHeader getHeader()

### getVerifier

    public EncryptionVerifier getVerifier()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.